import os
from itertools import product

kernels = ["spd"]
ks = [1]
models = ["KEGIN"]
grid = product(kernels, ks, models)
for parameter in grid:
    kernel, k, model = parameter
    script = f"python train_SR.py --model_name={model} --K={k} --num_layer=2 --kernel={kernel} --wo_path_encoding "
    os.system(script)
